Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » Plugin library loading(How to use classes from a library which is inside a loaded plugin ?)
Plugin library loading [message #545794] Fri, 09 July 2010 07:58 Go to next message
Opfermann C is currently offline Opfermann CFriend
Messages: 53
Registered: July 2009
Location: Annecy
Member
Hi,

I'm facing a new issue when I use the dropins folder to load a plugin as a jar.
Indeed, this plugin contains some libs in a lib folder.
Once I open Eclipse, I can use the classes located in the plugin but I can't use the classes from the libs.

Here is the hierarchy:

eclipse
-- dropins
---- myplugin.jar
------ somepackage
-------- someclasses.class
------ lib
-------- somelib.jar
------ plugin.xml

So, when a create a new RCP project in eclipse, I can import all packages exported by this plugin but the classes located in "somelib.jar" can't be used. But someclasses.class can be used.


I found a workaround using a folder plugin instead of a jar plugin but this is not the best way for us to use the plugin.

I hope someone can help,...

Regards,

C├ędric


Re: Plugin library loading [message #545851 is a reply to message #545794] Fri, 09 July 2010 11:59 Go to previous messageGo to next message
Paul Webster is currently offline Paul WebsterFriend
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

What does your MANIFEST.MF look like?

PW

--
Paul Webster
http://wiki.eclipse.org/Platform_Command_Framework
http://wiki.eclipse.org/Command_Core_Expressions
http://wiki.eclipse.org/Menu_Contributions
http://wiki.eclipse.org/Menus_Extension_Mapping
http://help.eclipse.org/galileo/index.jsp?topic=/org.eclipse .platform.doc.isv/guide/workbench.htm


Re: Plugin library loading [message #548010 is a reply to message #545851] Tue, 20 July 2010 12:15 Go to previous message
Opfermann C is currently offline Opfermann CFriend
Messages: 53
Registered: July 2009
Location: Annecy
Member
The manifest.mf file contains all the libraries entries
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name.0
Bundle-SymbolicName: com.framework.ui.rcp;singleton:=true
Bundle-Version: 6.10.1.SNAPSHOT
Bundle-Vendor: %Bundle-Vendor.0
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Eclipse-BuddyPolicy: dependent
Bundle-ClassPath: .,lib/commons-logging-1.0.4.jar,lib/ejb-api-2.1.jar,
 lib/commons-lang-2.1.jar,lib/axiom-api-1.2.7.jar,lib/axiom-impl-1.2.7
 .jar,lib/axis2-adb-1.4.1.jar,lib/axis2-kernel-1.4.1.jar,lib/backport-
 util-concurrent-3.1.jar,lib/commons-codec-1.3.jar,lib/commons-httpcli
 ent-3.1.jar,lib/neethi-2.0.4.jar,lib/stax-1.2.0.jar,lib/stax-api-1.0.
 1.jar,lib/wsdl4j-1.6.2.jar,lib/XmlSchema-1.4.2.jar,lib/activation-1.1
 .jar,lib/log4j-1.2.12.jar,lib/nebula_compositetable.jar,lib/org.eclip
 se.nebula.widgets.datechooser_1.0.0.jar,lib/org.eclipse.nebula.widget
 s.formattedtext_1.0.0.jar
DynamicImport-Package: *
Export-Package: 
 org.apache.commons.logging;version="1.0.4",org.apache.commons.logging
 .impl;version="1.0.4",org.eclipse.nebula.widgets.datechooser,org.ecli
 pse.nebula.widgets.formattedtext,org.eclipse.swt.nebula.widgets.compo
 sitetable,org.jnp.interfaces,org.jnp.interfaces.java,org.jnp.interfac
 es.jnp,org.jnp.server
Bundle-Localization: plugin
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.4.0",org.ec
 lipse.ui;bundle-version="3.4.1",org.eclipse.ui.console;bundle-version
 ="3.3.0"
Import-Package: org.junit
Previous Topic:Tabbed Properties-Bug for scrolling
Next Topic:core tools does not work with eclipse 3.6
Goto Forum:
  


Current Time: Sun Dec 21 06:23:04 GMT 2014

Powered by FUDForum. Page generated in 0.01792 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software